% Diplomarbeit Johannes Loose
% Octave Version 3.0.0
% zum Ausfueren in octave: statistik(k, anzfl, outputpath)

function fehler=Ffehler(pol,sr,sp)

A=length(pol);

% Umrechnung in kartesische relative Koordinaten
rcart=[pol(:,1).*cos(pol(:,2)) pol(:,1).*sin(pol(:,2))];

for j=2:A
	dFY(j)=0.5*ones(1,A)*rcart(:,1)-ones(1,j-1)*rcart(1:j-1,1)-0.5*rcart(j,1);
	dFX(j)=ones(1,j-1)*rcart(1:j-1,2)+0.5*rcart(j,2)-0.5*ones(1,A)*rcart(:,2);
	DY2(j)=(sin(pol(j,2))*pol(j,1)*sr)^2+(pol(j,1)*cos(pol(j,2))*sp)^2;
	DX2(j)=(cos(pol(j,2))*pol(j,1)*sr)^2+(pol(j,1)*sin(pol(j,2))*sp)^2;
end

fehler=sqrt((dFY.^2)*DY2'+(dFX.^2)*DX2');
