% Diplomarbeit Johannes Loose
% Octave Version 3.0.0
% zum Ausfueren in octave: statistik(k, anzfl, outputpath)

function [pol]=laden(anz)
% pol speichert die Flaeche in Polarkoordinaten
% Jede Zeile entspricht einem Messwert mit Laenge und Winkel
% Name der Datei aus der die Flaechendaten gelesen werden
% Format:
% Laenge	Winkel in Grad

prefix="flaechen/flaeche";

% anz ist die Anzahl der Dateien in der Form prefix%d
% anz=5;

% Laden der Flaechen im Format Richtung Strecke
for i=[1:anz]
	pol{i}=load(sprintf("%s%d",prefix,i));
end
% Format aendern auf: Strecke, Winkel im Bogemass
for i=[1:anz]
	pol{i}=[pol{i}(:,2),pol{i}(:,1)/180*pi];
end
